Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.xml.dom
Class DomPI

    java.lang.Object
      |
      +--gnu.xml.dom.DomNode
            |
            +--gnu.xml.dom.DomPI

All Implemented Interfaces:
  java.lang.Cloneable, DocumentEvent, EventTarget, Node, NodeList, ProcessingInstruction

public class DomPI
extends DomNode
implements ProcessingInstruction

"ProcessingInstruction" (PI) implementation. This is a non-core DOM class, supporting the "XML" feature.

Unlike other DOM APIs in the "XML" feature, this one fully exposes the functionality it describes. So there is no reason inherent in DOM to avoid using this API, unless you want to rely on NOTATION declarations to associate meaning with your PIs; there is no vendor-neutal way to record those notations in DOM.

Also of note is that PI support is part of SAX, so that XML systems using PIs can choose among multiple APIs.

Version:
  $Date: 2001/11/20 04:53:46 $
Author:
  David Brownell
See Also:
  `DomNotation`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` | `DomPI(Document owner, java.lang.String target, java.lang.String data)` Constructs a ProcessingInstruction node associated with the specified document, with the specified data.

Method Summary
`java.lang.String` | `getData()` DOM L1 Returns the data associated with the processing instruction.
`java.lang.String` | `getNodeName()` DOM L1 Returns the target of the processing instruction (same as getTarget).
`short` | `getNodeType()` DOM L1 Returns the constant PROCESSING_INSTRUCTION_NODE.
`java.lang.String` | `getNodeValue()` DOM L1 Returns the data associated with the processing instruction (same as getData).
`java.lang.String` | `getTarget()` DOM L1 Returns the target of the processing instruction.
`void` | `setData(java.lang.String data)` DOM L1 Assigns the data associated with the processing instruction; same as setNodeValue.
`void` | `setNodeValue(java.lang.String data)` DOM L1 Assigns the data associated with the processing instruction.

Methods inherited from class gnu.xml.dom.DomNode
`addEventListener, appendChild, clone, cloneNode, compact, createEvent, dispatchEvent, getAttributes, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getLastChild, getLength, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isReadonly, isSupported, item, makeReadonly, nameAndTypeEquals, normalize, removeChild, removeEventListener, replaceChild, setPrefix, trimToSize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setPrefix`

Constructor Detail

### DomPI

    protected DomPI(Document owner,
                    java.lang.String target,
                    java.lang.String data)

  Constructs a ProcessingInstruction node associated with the specified document, with the specified data.

  This constructor should only be invoked by a Document object as part of its createProcessingInstruction functionality, or through a subclass which is similarly used in a "Sub-DOM" style layer.

Method Detail

### getTarget

    public final java.lang.String getTarget()

  DOM L1 Returns the target of the processing instruction.
  Specified by:
    `getTarget` in interface `ProcessingInstruction`

### getNodeName

    public final java.lang.String getNodeName()

  DOM L1 Returns the target of the processing instruction (same as getTarget).
  Specified by:
    `getNodeName` in interface `Node`

### getNodeType

    public final short getNodeType()

  DOM L1 Returns the constant PROCESSING_INSTRUCTION_NODE.
  Specified by:
    `getNodeType` in interface `Node`

### getData

    public final java.lang.String getData()

  DOM L1 Returns the data associated with the processing instruction.
  Specified by:
    `getData` in interface `ProcessingInstruction`
  Following copied from interface: `org.w3c.dom.ProcessingInstruction`
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

### getNodeValue

    public final java.lang.String getNodeValue()

  DOM L1 Returns the data associated with the processing instruction (same as getData).
  Specified by:
    `getNodeValue` in interface `Node`
  Overrides:
    `getNodeValue` in class `DomNode`
  Following copied from interface: `org.w3c.dom.Node`
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.
    `DOMException` - DOMSTRING_SIZE_ERR: Raised when it would return more characters than fit in a `DOMString` variable on the implementation platform.

### setData

    public final void setData(java.lang.String data)

  DOM L1 Assigns the data associated with the processing instruction; same as setNodeValue.
  Specified by:
    `setData` in interface `ProcessingInstruction`
  Following copied from interface: `org.w3c.dom.ProcessingInstruction`
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

### setNodeValue

    public final void setNodeValue(java.lang.String data)

  DOM L1 Assigns the data associated with the processing instruction.
  Specified by:
    `setNodeValue` in interface `Node`
  Overrides:
    `setNodeValue` in class `DomNode`
  Following copied from interface: `org.w3c.dom.Node`
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.
    `DOMException` - DOMSTRING_SIZE_ERR: Raised when it would return more characters than fit in a `DOMString` variable on the implementation platform.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.